<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 12/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-guest_add.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Add a new guest menu                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einen neuen Gastmen�punkt einf�gen               *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));
OUTPUT_HTML ("</FONT><BR>");

OPEN_TABLE("100%", "admin_content admin_content_align", "");

// Check if the admin has entered title and what-php file name...
if (((empty($_POST['title'])) || (empty($_POST['menu']))) && (isset($_POST['ok'])))
{
	unset($_POST['ok']);
}

if (!isset($_POST['ok']))
{
	// Create arrays
	$menus = array(); $titles = array(); $below = array();

	// Get all available main menus
	$result = SQL_QUERY("SELECT action, title, sort FROM "._MYSQL_PREFIX."_guest_menu WHERE what='' ORDER BY sort", __FILE__, __LINE__);
	if (SQL_NUMROWS($result) > 0)
	{
		// Read menu structure
		while (list($act, $title, $sort) = SQL_FETCHROW($result))
		{
			// Menu actions
			$menus[] = $act;

			// Menu titles
			$titles[] = $title;

			// Below this menu point should the new be added so we simply increase the sort value by 1 :-)
			$below[] = $sort + 1;
		}

		// Free memory
		SQL_FREERESULT($result);

		// Remove double eintries
		$prev = ""; $dmy = $menus; $dmy2 = $titles; $dmy3 = $below;
		foreach ($menus as $key=>$value)
		{
			if ($value == $prev)
			{
				unset($dmy[$key]);
				unset($dmy2[$key]);
				unset($dmy3[$key]);
			}
			 else
			{
				$prev = $value;
			}
		}
		$menus = $dmy; $titles = $dmy2; $below = $dmy3;
		// Load sub menus :)
		foreach ($menus as $key_main=>$value_main)
		{
			$result = SQL_QUERY_ESC("SELECT what, title, sort
FROM "._MYSQL_PREFIX."_guest_menu
WHERE action='%s' AND what != '' ORDER BY sort",
 array(bigintval($value_main)), __FILE__, __LINE__);
			if (SQL_NUMROWS($result) > 0)
			{
				// Initialize arrays
				$menus[$value_main] = array();
				$titles[$value_main] = array();
				$below[$value_main] = array();

				// Read menu structure
				while (list($act, $title, $sort) = SQL_FETCHROW($result))
				{
					// Menu actions
					$menus[$value_main][] = $act;

					// Menu titles
					$titles[$value_main][] = $title;

					// Below this menu point should the new be added so we simply increase the sort value by 1 :-)
					$below[$value_main][] = $sort + 1;
				}

				// Free memory
				SQL_FREERESULT($result);

				// Remove double eintries
				$prev = ""; $dmy = $menus[$value_main]; $dmy2 = $titles[$value_main]; $dmy3 = $below[$value_main];
				foreach ($menus[$value_main] as $key=>$value)
				{
					if ($value == $prev)
					{
						unset($dmy[$key]);
						unset($dmy2[$key]);
						unset($dmy3[$key]);
					}
					 else
					{
						$prev = $value;
					}
				}
				$menus[$value_main] = $dmy; $titles[$value_main] = $dmy2; $below[$value_main] = $dmy3;
			}
		}
	}

	$OUT = "    <SELECT class=\"admin_select\" name=\"sort\" size=\"1\">
      <OPTION value=\"0\">".IS_FIRST_MENU."</OPTION>";
  	foreach ($below as $key=>$m)
	{
		if (is_array($m))
		{
			foreach ($m as $key2=>$m2)
			{
				$OUT .= "      <OPTION value=\"".$m2."\">".$titles[$key][$key2];
				foreach ($menus as $k=>$v)
				{
					if (($v == $key) && (!is_array($v)))
					{
						$OUT .= " (".$titles[$k].")";
					}
				}
				$OUT .= "</OPTION>\n";
			}
		}
		 else
		{
			$OUT .= "      <OPTION value=\"".$m."\">".$titles[$key]."</OPTION>\n";
		}
	}
	$OUT .= "</SELECT>";

	define('__BELOW_SELECTION' , $OUT);
	define('__WHAT_SELECTION'  , ADMIN_MAKE_MENU_SELECTION("guest", "what", "name"));
	define('__ACTION_SELECTION', ADMIN_MAKE_MENU_SELECTION("guest", "action", "menu"));

	// Display form
	LOAD_TEMPLATE("admin_guest_add");
}
 elseif (!IS_DEMO())
{
	// Insert new menu entry
	if (!empty($_POST['menu']))
	{
		$result = SQL_QUERY_ESC("INSERT INTO "._MYSQL_PREFIX."_guest_menu
(action, what, title, sort, visible, locked)
VALUES('%s', '%s', '%s', '%s', '%s', '%s')",
 array(
	$_POST['menu'],
	$_POST['name'],
	$_POST['title'],
	bigintval($_POST['sort']),
	$_POST['visible'],
	$_POST['active'],
), __FILE__, __LINE__);
	}
	 else
	{
		$result = SQL_QUERY_ESC("INSERT INTO "._MYSQL_PREFIX."_guest_menu
(action, title, sort, visible, locked)
VALUES('%s', '%s', '%s', '%s', '%s')",
 array(
	$_POST['name'],
	$_POST['title'],
	bigintval($_POST['sort']),
	$_POST['visible'],
	$_POST['active'],
), __FILE__, __LINE__);
	}
	LOAD_TEMPLATE("admin_settings_saved", false, SAVING_DONE);
}
 else
{
	// Demo mode!
	LOAD_TEMPLATE("admin_settings_saved", false, SETTINGS_NOT_SAVED);
}

CLOSE_TABLE();
//
?>
